
From: Mikael Pettersson <mikpe@csd.uu.se>

This patch fixes gcc-3.4 cast-as-lvalue warnings in the 2.6.9-rc2 kernel's
Specialix RIO driver.  This is a forward port of the fix I made for the 2.4
kernel.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/rio/rio_linux.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/char/rio/rio_linux.c~specialix-rio-driver-gcc-34-fixes drivers/char/rio/rio_linux.c
--- 25/drivers/char/rio/rio_linux.c~specialix-rio-driver-gcc-34-fixes	2004-09-20 10:46:54.770694464 -0700
+++ 25-akpm/drivers/char/rio/rio_linux.c	2004-09-20 10:46:54.776693552 -0700
@@ -1138,8 +1138,8 @@ static int __init rio_init(void) 
       hp->Ivec = pdev->irq;
       if (((1 << hp->Ivec) & rio_irqmask) == 0)
               hp->Ivec = 0;
-      hp->CardP	= (struct DpRam *)
       hp->Caddr = ioremap(p->RIOHosts[p->RIONumHosts].PaddrP, RIO_WINDOW_LEN);
+      hp->CardP	= (struct DpRam *) hp->Caddr;
       hp->Type  = RIO_PCI;
       hp->Copy  = rio_pcicopy; 
       hp->Mode  = RIO_PCI_BOOT_FROM_RAM;
@@ -1196,8 +1196,8 @@ static int __init rio_init(void) 
       if (((1 << hp->Ivec) & rio_irqmask) == 0) 
       	hp->Ivec = 0;
       hp->Ivec |= 0x8000; /* Mark as non-sharable */
-      hp->CardP	= (struct DpRam *)
       hp->Caddr = ioremap(p->RIOHosts[p->RIONumHosts].PaddrP, RIO_WINDOW_LEN);
+      hp->CardP	= (struct DpRam *) hp->Caddr;
       hp->Type  = RIO_PCI;
       hp->Copy  = rio_pcicopy;
       hp->Mode  = RIO_PCI_BOOT_FROM_RAM;
@@ -1242,8 +1242,8 @@ static int __init rio_init(void) 
     hp->PaddrP = rio_probe_addrs[i];
     /* There was something about the IRQs of these cards. 'Forget what.--REW */
     hp->Ivec = 0;
-    hp->CardP = (struct DpRam *)
     hp->Caddr = ioremap(p->RIOHosts[p->RIONumHosts].PaddrP, RIO_WINDOW_LEN);
+    hp->CardP = (struct DpRam *) hp->Caddr;
     hp->Type = RIO_AT;
     hp->Copy = rio_pcicopy; /* AT card PCI???? - PVDL
                              * -- YES! this is now a normal copy. Only the 
_
